/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface PetDto
 */
export interface PetDto {
    /**
     * 
     * @type {string}
     * @memberof PetDto
     */
    name: string;
    /**
     * 
     * @type {string}
     * @memberof PetDto
     */
    petType: PetDtoPetTypeEnum;
}

export function PetDtoFromJSON(json: any): PetDto {
    return PetDtoFromJSONTyped(json, false);
}

export function PetDtoFromJSONTyped(json: any, ignoreDiscriminator: boolean): PetDto {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'name': json['name'],
        'petType': json['petType'],
    };
}

export function PetDtoToJSON(value?: PetDto | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'name': value.name,
        'petType': value.petType,
    };
}

/**
* @export
* @enum {string}
*/
export enum PetDtoPetTypeEnum {
    DOG = 'DOG',
    CAT = 'CAT',
    FISH = 'FISH',
    SOMETHINGSTUPID = 'SOMETHING_STUPID'
}


